<?php
defined('_VALID_MOS') or die ('Direct Access to this location is not allowed');

class TOOLBAR_flippingbook {

	function _CONFIG() {
		global $id;
		mosMenuBar::startTable();
		mosMenuBar::save($task = 'save_config', $alt = _FB_SAVE);
		mosMenuBar::spacer();
		mosMenuBar::cancel($task = 'cancel_config', $alt = _FB_CANCEL);
		mosMenuBar::endTable();
	}

	function _UPLOAD() {
		mosMenuBar::startTable();
		mosMenuBar::save($task = 'save_uploaded', $alt = _FB_SAVE);
		mosMenuBar::spacer();
		mosMenuBar::spacer();
		mosMenuBar::cancel($task = 'cancel_config', $alt = _FB_CANCEL);
		mosMenuBar::spacer();
		mosMenuBar::endTable();
	}

	function _MANAGE_BOOKS() {
		mosMenuBar::startTable();
		mosMenuBar::spacer();
		mosMenuBar::addNew($task = 'new_book', $alt = _FB_BUTTON_NEW_BOOK);
		mosMenuBar::spacer();
		mosMenuBar::editListX($task = 'edit', $alt = _FB_EDIT);
		mosMenuBar::spacer();
		mosMenuBar::deleteList('', $task = 'remove', $alt = _FB_DELETE);
		TOOLBAR_flippingbook::_STANDARD();
		mosMenuBar::endTable();
	}

	function _NEW_BOOK() {
		mosMenuBar::startTable();
		mosMenuBar::spacer();
		mosMenuBar::save($task = 'save_book', $alt = _FB_SAVE_BOOK);
		mosMenuBar::spacer();
		mosMenuBar::cancel($task = 'cancel_book', $alt = _FB_CANCEL);
		mosMenuBar::endTable();
	}

	function _EDIT_BOOK() {
		mosMenuBar::startTable();
		mosMenuBar::spacer();
		mosMenuBar::save($task = 'save_book', $alt = _FB_SAVE_BOOK);
		mosMenuBar::spacer();
		mosMenuBar::cancel($task = 'cancel_book', $alt = _FB_CANCEL);
		mosMenuBar::endTable();
	}	

	function _MANAGE_PAGES() {
		mosMenuBar::startTable();
		mosMenuBar::spacer();
		mosMenuBar::addNew($task = 'new_page', $alt = _FB_BUTTON_NEW_PAGE);
		mosMenuBar::spacer();
		mosMenuBar::editListX($task = 'edit', $alt = _FB_EDIT);
		mosMenuBar::spacer();
		mosMenuBar::deleteList( '', $task = 'remove', $alt = _FB_DELETE);
		TOOLBAR_flippingbook::_STANDARD();
		mosMenuBar::endTable();
	}
	
	function _MANAGE_FILES() {
		mosMenuBar::startTable();
		mosMenuBar::spacer();
		mosMenuBar::deleteList('', $task = 'delete_file', $alt = _FB_DELETE);
		TOOLBAR_flippingbook::_STANDARD();
		mosMenuBar::endTable();
	}
	
	function _RENAME() {
		mosMenuBar::startTable();
		mosMenuBar::spacer();
		mosMenuBar::save($task = 'save_file_name', $alt = _FB_SAVE);
		mosMenuBar::spacer();
		mosMenuBar::cancel($task = 'files', $alt = _FB_CANCEL);
		mosMenuBar::endTable();
	}

	function _NEW_PAGE() {
		mosMenuBar::startTable();
		mosMenuBar::spacer();
		mosMenuBar::save($task = 'save_page', $alt = _FB_SAVE_PAGE);
		mosMenuBar::spacer();
		mosMenuBar::cancel($task = 'cancel_page', $alt = _FB_CANCEL);
		mosMenuBar::endTable();
	}

	function _EDIT_PAGE() {
		mosMenuBar::startTable();
		mosMenuBar::spacer();
		mosMenuBar::save($task = 'save_page', $alt = _FB_SAVE_PAGE);
		mosMenuBar::spacer();
		mosMenuBar::cancel($task = 'cancel_page', $alt = _FB_CANCEL);
		mosMenuBar::endTable();
	}

	function _STANDARD() {
		mosMenuBar::spacer();
		mosMenuBar::spacer();
		mosMenuBar::divider();
		mosMenuBar::spacer();
		mosMenuBar::spacer();
		mosMenuBar::custom('main', '../components/com_flippingbook/images/main.png', '../components/com_flippingbook/images/main.png', _FB_MAIN, false);
		mosMenuBar::spacer();
		mosMenuBar::custom('config', '../components/com_flippingbook/images/cpanel.png', '../components/com_flippingbook/images/cpanel.png', _FB_CONFIG, false);
		mosMenuBar::spacer();
		mosMenuBar::custom('manage_books', '../components/com_flippingbook/images/books.png', '../components/com_flippingbook/images/books.png', _FB_BOOKS, false);
		mosMenuBar::spacer();
		mosMenuBar::custom('manage_pages', '../components/com_flippingbook/images/pages.png', '../components/com_flippingbook/images/pages.png', _FB_PAGES, false);
		mosMenuBar::spacer();
		mosMenuBar::custom('files','../components/com_flippingbook/images/files.png','../components/com_flippingbook/images/files.png', _FB_FILES, false);
		mosMenuBar::spacer();
		mosMenuBar::custom('upload','../components/com_flippingbook/images/upload.png','../components/com_flippingbook/images/upload.png', _FB_UPLOAD, false);
		mosMenuBar::spacer();
		mosMenuBar::help( 'flippingbook_help.html', true );
	}

	function _DEFAULT() {
		mosMenuBar::startTable();
		mosMenuBar::custom('main', '../components/com_flippingbook/images/main.png', '../components/com_flippingbook/images/main.png', _FB_MAIN, false);
		mosMenuBar::spacer();
		mosMenuBar::custom('config', '../components/com_flippingbook/images/cpanel.png', '../components/com_flippingbook/images/cpanel.png', _FB_CONFIG, false);
		mosMenuBar::spacer();
		mosMenuBar::custom('manage_books', '../components/com_flippingbook/images/books.png', '../components/com_flippingbook/images/books.png', _FB_BOOKS, false);
		mosMenuBar::spacer();
		mosMenuBar::custom('manage_pages', '../components/com_flippingbook/images/pages.png', '../components/com_flippingbook/images/pages.png', _FB_PAGES, false);
		mosMenuBar::spacer();
		mosMenuBar::custom('files','../components/com_flippingbook/images/files.png','../components/com_flippingbook/images/files.png', _FB_FILES, false);
		mosMenuBar::spacer();
		mosMenuBar::custom('upload','../components/com_flippingbook/images/upload.png','../components/com_flippingbook/images/upload.png', _FB_UPLOAD, false);
		mosMenuBar::spacer();
		mosMenuBar::help( 'flippingbook_help.html', true );
		mosMenuBar::endTable();
	}
}
?>